Subject: Re: [Govpn-devel] Invalid server's random number

From: Sergey Matveev <[email-masked]>
Date: Thu, 20 Oct 2016 22:36:36 +0300

*** Bruno Clermont <[email-masked]> [2016-10-20 16:55]:
>I tested and it works perfectly over TCP.

Great!

>For UDP, It’s worst than yesterday: GoVPN server never receive any packets.
>I see traffic coming on the wire with `tshark`, firewall rules are valid. I added plenty of debug code myself and it don’t even reach `conn.ReadFromUDP(buf)` anymore.

I see. Well, seems that something is on your OS side. I have not used
GNU/Linux for a long time, so do not know where better to look (sysctl
options?).

>OSX used to need 3rd party drivers for tun, now it’s part built in.
>only IPv4/IPv6 can goes in. no ethernet overhead. this can increase GoVPN throughput.
>
>tap interfaces aren’t available on Android and iOS. Tun are available… which mean GoVPN client can be used on mobile OS (easy with Go, just need to move out into a separate package some of govpn/govpn-client logic).

Sounds interesting. My personal needs exactly required Ethernet
tunnelling, so I wasn't thinking about TUN. Seems very useful thing,
so certainly needs to be done. Thanks for the suggestion!

-- 
Happy hacking